Summary:	Parsing gigabytes of JSON per second
Name:		simdjson
Version:	3.9.4
Release:	1
License:	Apache v2.0
Group:		Libraries
#Source0Download: https://github.com/simdjson/simdjson/releases
Source0:	https://github.com/simdjson/simdjson/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	bdc1dfcb2a89dc0c09e8370808a946f5
URL:		https://simdjson.org
BuildRequires:	cmake >= 3.14
BuildRequires:	libstdc++-devel >= 6:5
BuildRequires:	rpmbuild(macros) >= 1.605
ExclusiveArch:	%{x8664} aarch64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
JSON documents are everywhere on the Internet. Servers spend a lot of
time parsing these documents. simdjson aims to accelerate the parsing
of JSON per se using commonly available SIMD instructions as much as
possible while doing full validation (including character encoding).

%package devel
Summary:	Header files for simdjson library
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for simdjson library.

%prep
%setup -q

%build
%cmake -B build
%{__make} -C build

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS CONTRIBUTING.md CONTRIBUTORS HACKING.md README.md
%attr(755,root,root) %{_libdir}/libsimdjson.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsimdjson.so.22

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsimdjson.so
%{_libdir}/cmake/simdjson
%{_includedir}/simdjson.h
%{_pkgconfigdir}/simdjson.pc
%changelog
* Fri Jun 14 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/simdjson.git;a=log;h=master

* Tue Jun 11 2024 Jan Palus <atler@pld-linux.org> 1e83a6e
- up to 3.9.4

* Thu May 30 2024 Jan Palus <atler@pld-linux.org> d4e33c8
- up to 3.9.3 (new soname)

* Sun Mar 10 2024 Jan Palus <atler@pld-linux.org> 70734a8
- up to 3.8.0 (new soname)

* Sun Feb 25 2024 Jan Palus <atler@pld-linux.org> 28ae05e
- up to 3.7.0 (new soname)

* Mon Jan 29 2024 Jan Palus <atler@pld-linux.org> aefe414
- up to 3.6.4

* Fri Dec 08 2023 Jan Palus <atler@pld-linux.org> 52caa86
- up to 3.6.3

* Fri Dec 01 2023 Jan Palus <atler@pld-linux.org> e8de2fe
- up to 3.6.1

* Mon Oct 30 2023 Jan Palus <atler@pld-linux.org> 10b0876
- up to 3.6.0 (new soname)

* Sat Oct 28 2023 Jan Palus <atler@pld-linux.org> e6a56ac
- up to 3.5.0 (new soname)

* Thu Oct 26 2023 Jan Palus <atler@pld-linux.org> e7598a5
- up to 3.4.0 (new soname)

* Wed Sep 20 2023 Jan Palus <atler@pld-linux.org> 93416dc
- up to 3.3.0

* Tue Aug 22 2023 Jan Palus <atler@pld-linux.org> 7f17be2
- up to 3.2.3

* Wed Aug 02 2023 Jan Palus <atler@pld-linux.org> 140c1e4
- up to 3.2.2

* Fri Jul 07 2023 Jan Palus <atler@pld-linux.org> 2062a8f
- up to 3.2.1

* Thu Jun 15 2023 Jan Palus <atler@pld-linux.org> 08a7cb4
- up to 3.2.0

* Sun May 14 2023 Jan Palus <atler@pld-linux.org> c3c676b
- up to 3.1.8

* Sat Apr 08 2023 Jan Palus <atler@pld-linux.org> 7bc7c23
- up to 3.1.7

* Tue Mar 14 2023 Jan Palus <atler@pld-linux.org> f902d04
- up to 3.1.6

* Thu Mar 09 2023 Jan Palus <atler@pld-linux.org> 92aa664
- up to 3.1.5

* Thu Mar 02 2023 Jan Palus <atler@pld-linux.org> 0ffca45
- up to 3.1.3

